#pragma once
#include "afxwin.h"


// CFileIconDialog ダイアログ

class CFileIconDialog : public CDialog
{
	DECLARE_DYNAMIC(CFileIconDialog)

public:
	CFileIconDialog(int type,CWnd* pParent = NULL);   // 標準コンストラクタ
	virtual ~CFileIconDialog();

// ダイアログ データ
	enum { IDD = IDD_FILE_ICON };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート

	DECLARE_MESSAGE_MAP()

public:
	CEdit	m_edit;
	CFont	m_font;
	int		m_type;

	CString GetSettingString();
	int ParseText();
	int ParseLine(CString line, CStringArray &array);
	int GetLine(CString &str, CString &line);

	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedOk();
};
